LawBreakers – Erster Betatest in Kürze

An den Systemanforderungen hat sich im Vergleich zur Alpha nicht viel geändert: Minimum: Core 2 Extreme QX6850 oder AMD A8-3870K …
(Orginal – Story lesen…)